LOCAL_PATH := $(call my-dir)
_IMPORT_PREFIX := $(LOCAL_PATH)/../../../..

include $(CLEAR_VARS)
LOCAL_MODULE := QuotientQt6
LOCAL_SRC_FILES := $(_IMPORT_PREFIX)//usr/lib/libQuotientQt6.so
LOCAL_CPP_FEATURES := rtti exceptions
# COMPATIBLE_INTERFACE_STRING Quotient_MAJOR_VERSION
# INTERFACE_COMPILE_DEFINITIONS $<$<STREQUAL:$<TARGET_PROPERTY:QuotientQt6,TYPE>,STATIC_LIBRARY>:QUOTIENT_STATIC>;Quotient_VERSION_MAJOR=0;Quotient_VERSION_MINOR=9;Quotient_VERSION_PATCH=0;Quotient_VERSION_STRING="0.9.0";Quotient_PRE_STAGE="";Quotient_E2EE_ENABLED
# INTERFACE_COMPILE_FEATURES cxx_std_23
LOCAL_SHARED_LIBRARIES := Qt6::Core Qt6::Network Qt6::Gui qt6keychain Olm::Olm Qt6::Sql
# INTERFACE_Quotient_MAJOR_VERSION 0.9
include $(PREBUILT_SHARED_LIBRARY)

if(NOT CMAKE_VERSION VERSION_LESS "3.23.0")
  target_sources(QuotientQt6
    INTERFACE
      FILE_SET "HEADERS"
      TYPE "HEADERS"
      BASE_DIRS "/usr/include"
      FILES "/usr/include/Quotient/quotient_common.h" "/usr/include/Quotient/quotient_export.h" "/usr/include/Quotient/function_traits.h" "/usr/include/Quotient/omittable.h" "/usr/include/Quotient/expected.h" "/usr/include/Quotient/networkaccessmanager.h" "/usr/include/Quotient/connectiondata.h" "/usr/include/Quotient/connection.h" "/usr/include/Quotient/connection_p.h" "/usr/include/Quotient/ssosession.h" "/usr/include/Quotient/logging_categories_p.h" "/usr/include/Quotient/room.h" "/usr/include/Quotient/roomstateview.h" "/usr/include/Quotient/user.h" "/usr/include/Quotient/roommember.h" "/usr/include/Quotient/avatar.h" "/usr/include/Quotient/uri.h" "/usr/include/Quotient/uriresolver.h" "/usr/include/Quotient/eventstats.h" "/usr/include/Quotient/syncdata.h" "/usr/include/Quotient/settings.h" "/usr/include/Quotient/networksettings.h" "/usr/include/Quotient/converters.h" "/usr/include/Quotient/util.h" "/usr/include/Quotient/ranges_extras.h" "/usr/include/Quotient/eventitem.h" "/usr/include/Quotient/accountregistry.h" "/usr/include/Quotient/mxcreply.h" "/usr/include/Quotient/database.h" "/usr/include/Quotient/connectionencryptiondata_p.h" "/usr/include/Quotient/keyverificationsession.h" "/usr/include/Quotient/keyimport.h" "/usr/include/Quotient/qt_connection_util.h" "/usr/include/Quotient/application-service/definitions/location.h" "/usr/include/Quotient/application-service/definitions/protocol.h" "/usr/include/Quotient/application-service/definitions/user.h" "/usr/include/Quotient/csapi/account-data.h" "/usr/include/Quotient/csapi/admin.h" "/usr/include/Quotient/csapi/administrative_contact.h" "/usr/include/Quotient/csapi/appservice_room_directory.h" "/usr/include/Quotient/csapi/authed-content-repo.h" "/usr/include/Quotient/csapi/banning.h" "/usr/include/Quotient/csapi/capabilities.h" "/usr/include/Quotient/csapi/content-repo.h" "/usr/include/Quotient/csapi/create_room.h" "/usr/include/Quotient/csapi/cross_signing.h" "/usr/include/Quotient/csapi/device_management.h" "/usr/include/Quotient/csapi/directory.h" "/usr/include/Quotient/csapi/event_context.h" "/usr/include/Quotient/csapi/filter.h" "/usr/include/Quotient/csapi/inviting.h" "/usr/include/Quotient/csapi/joining.h" "/usr/include/Quotient/csapi/key_backup.h" "/usr/include/Quotient/csapi/keys.h" "/usr/include/Quotient/csapi/kicking.h" "/usr/include/Quotient/csapi/knocking.h" "/usr/include/Quotient/csapi/leaving.h" "/usr/include/Quotient/csapi/list_joined_rooms.h" "/usr/include/Quotient/csapi/list_public_rooms.h" "/usr/include/Quotient/csapi/login.h" "/usr/include/Quotient/csapi/login_token.h" "/usr/include/Quotient/csapi/logout.h" "/usr/include/Quotient/csapi/message_pagination.h" "/usr/include/Quotient/csapi/notifications.h" "/usr/include/Quotient/csapi/openid.h" "/usr/include/Quotient/csapi/peeking_events.h" "/usr/include/Quotient/csapi/presence.h" "/usr/include/Quotient/csapi/profile.h" "/usr/include/Quotient/csapi/pusher.h" "/usr/include/Quotient/csapi/pushrules.h" "/usr/include/Quotient/csapi/read_markers.h" "/usr/include/Quotient/csapi/receipts.h" "/usr/include/Quotient/csapi/redaction.h" "/usr/include/Quotient/csapi/refresh.h" "/usr/include/Quotient/csapi/registration.h" "/usr/include/Quotient/csapi/registration_tokens.h" "/usr/include/Quotient/csapi/relations.h" "/usr/include/Quotient/csapi/report_content.h" "/usr/include/Quotient/csapi/room_event_by_timestamp.h" "/usr/include/Quotient/csapi/room_send.h" "/usr/include/Quotient/csapi/room_state.h" "/usr/include/Quotient/csapi/room_upgrades.h" "/usr/include/Quotient/csapi/rooms.h" "/usr/include/Quotient/csapi/search.h" "/usr/include/Quotient/csapi/space_hierarchy.h" "/usr/include/Quotient/csapi/sso_login_redirect.h" "/usr/include/Quotient/csapi/support.h" "/usr/include/Quotient/csapi/tags.h" "/usr/include/Quotient/csapi/third_party_lookup.h" "/usr/include/Quotient/csapi/third_party_membership.h" "/usr/include/Quotient/csapi/threads_list.h" "/usr/include/Quotient/csapi/to_device.h" "/usr/include/Quotient/csapi/typing.h" "/usr/include/Quotient/csapi/users.h" "/usr/include/Quotient/csapi/versions.h" "/usr/include/Quotient/csapi/voip.h" "/usr/include/Quotient/csapi/wellknown.h" "/usr/include/Quotient/csapi/whoami.h" "/usr/include/Quotient/csapi/definitions/auth_data.h" "/usr/include/Quotient/csapi/definitions/client_device.h" "/usr/include/Quotient/csapi/definitions/cross_signing_key.h" "/usr/include/Quotient/csapi/definitions/device_keys.h" "/usr/include/Quotient/csapi/definitions/event_filter.h" "/usr/include/Quotient/csapi/definitions/key_backup_data.h" "/usr/include/Quotient/csapi/definitions/openid_token.h" "/usr/include/Quotient/csapi/definitions/public_rooms_response.h" "/usr/include/Quotient/csapi/definitions/push_condition.h" "/usr/include/Quotient/csapi/definitions/push_rule.h" "/usr/include/Quotient/csapi/definitions/push_ruleset.h" "/usr/include/Quotient/csapi/definitions/request_email_validation.h" "/usr/include/Quotient/csapi/definitions/request_msisdn_validation.h" "/usr/include/Quotient/csapi/definitions/request_token_response.h" "/usr/include/Quotient/csapi/definitions/room_event_filter.h" "/usr/include/Quotient/csapi/definitions/room_key_backup.h" "/usr/include/Quotient/csapi/definitions/sync_filter.h" "/usr/include/Quotient/csapi/definitions/tag.h" "/usr/include/Quotient/csapi/definitions/third_party_signed.h" "/usr/include/Quotient/csapi/definitions/user_identifier.h" "/usr/include/Quotient/csapi/definitions/wellknown/full.h" "/usr/include/Quotient/csapi/definitions/wellknown/homeserver.h" "/usr/include/Quotient/csapi/definitions/wellknown/identity_server.h" "/usr/include/Quotient/e2ee/e2ee_common.h" "/usr/include/Quotient/e2ee/qolmaccount.h" "/usr/include/Quotient/e2ee/qolmsession.h" "/usr/include/Quotient/e2ee/qolminboundsession.h" "/usr/include/Quotient/e2ee/qolmoutboundsession.h" "/usr/include/Quotient/e2ee/qolmutility.h" "/usr/include/Quotient/e2ee/qolmsession.h" "/usr/include/Quotient/e2ee/qolmmessage.h" "/usr/include/Quotient/e2ee/cryptoutils.h" "/usr/include/Quotient/e2ee/sssshandler.h" "/usr/include/Quotient/events/event.h" "/usr/include/Quotient/events/roomevent.h" "/usr/include/Quotient/events/stateevent.h" "/usr/include/Quotient/events/single_key_value.h" "/usr/include/Quotient/events/simplestateevents.h" "/usr/include/Quotient/events/eventcontent.h" "/usr/include/Quotient/events/eventrelation.h" "/usr/include/Quotient/events/roomcreateevent.h" "/usr/include/Quotient/events/roomtombstoneevent.h" "/usr/include/Quotient/events/roommessageevent.h" "/usr/include/Quotient/events/roommemberevent.h" "/usr/include/Quotient/events/roomcanonicalaliasevent.h" "/usr/include/Quotient/events/roomavatarevent.h" "/usr/include/Quotient/events/roompowerlevelsevent.h" "/usr/include/Quotient/events/typingevent.h" "/usr/include/Quotient/events/accountdataevents.h" "/usr/include/Quotient/events/receiptevent.h" "/usr/include/Quotient/events/reactionevent.h" "/usr/include/Quotient/events/callevents.h" "/usr/include/Quotient/events/directchatevent.h" "/usr/include/Quotient/events/encryptionevent.h" "/usr/include/Quotient/events/encryptedevent.h" "/usr/include/Quotient/events/roomkeyevent.h" "/usr/include/Quotient/events/stickerevent.h" "/usr/include/Quotient/events/filesourceinfo.h" "/usr/include/Quotient/events/redactionevent.h" "/usr/include/Quotient/events/keyverificationevent.h" "/usr/include/Quotient/jobs/requestdata.h" "/usr/include/Quotient/jobs/basejob.h" "/usr/include/Quotient/jobs/jobhandle.h" "/usr/include/Quotient/jobs/syncjob.h" "/usr/include/Quotient/jobs/mediathumbnailjob.h" "/usr/include/Quotient/jobs/downloadfilejob.h"
  )
else()
  set_property(TARGET QuotientQt6
    APPEND PROPERTY INTERFACE_INCLUDE_DIRECTORIES
      "/usr/include"
  )
endif()

